From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/cgit/
Date: Sun, 7 Feb 2021 23:00:40 +0000 (UTC) [thread overview]
Message-ID: <1612738616.ddf5e438066fd35555faa2e7c867175a3206e095.bman@gentoo> (raw)
commit: ddf5e438066fd35555faa2e7c867175a3206e095
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 7 22:56:56 2021 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Feb 7 22:56:56 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddf5e438
www-apps/cgit: drop libressl; fix highlight deps; add python stuff
* This changes the highlighter explicitly to dev-python/pygments which
negates the need to patch bug #574056
* This also depends on python-single-r1 and fixes all py script shebangs
* Fix QA issues with || dies
* Drop libressl support
Closes: https://bugs.gentoo.org/574056
Closes: https://bugs.gentoo.org/656866
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
www-apps/cgit/cgit-1.2.3-r200.ebuild | 107 +++++++++++++++++++++++++++++++++++
1 file changed, 107 insertions(+)
diff --git a/www-apps/cgit/cgit-1.2.3-r200.ebuild b/www-apps/cgit/cgit-1.2.3-r200.ebuild
new file mode 100644
index 00000000000..3029f760db0
--- /dev/null
+++ b/www-apps/cgit/cgit-1.2.3-r200.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..2} luajit )
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+WEBAPP_MANUAL_SLOT="yes"
+
+inherit lua-single python-single-r1 toolchain-funcs webapp
+
+[[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
+
+GIT_V="2.25.1"
+
+DESCRIPTION="a fast web-interface for git repositories"
+HOMEPAGE="https://git.zx2c4.com/cgit/about"
+SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+ https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="doc +highlight +lua test"
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} ) ${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+ acct-group/cgit
+ acct-user/cgit
+ dev-libs/openssl:0=
+ dev-vcs/git
+ highlight? (
+ $(python_gen_cond_dep 'dev-python/pygments[${PYTHON_USEDEP}]' )
+ )
+ lua? ( ${LUA_DEPS} )
+ sys-libs/zlib
+ virtual/httpd-cgi
+"
+# ebuilds without WEBAPP_MANUAL_SLOT="yes" are broken
+DEPEND="${RDEPEND}
+ doc? ( app-text/docbook-xsl-stylesheets
+ >=app-text/asciidoc-8.5.1 )
+"
+
+pkg_setup() {
+ webapp_pkg_setup
+ use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+ python_setup
+
+ rmdir git || die
+ mv "${WORKDIR}"/git-"${GIT_V}" git || die
+
+ echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
+ echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo libdir failed"
+ echo "CGIT_SCRIPT_PATH = ${MY_CGIBINDIR}" >> cgit.conf || die "echo CGIT_SCRIPT_PATH failed"
+ echo "CGIT_DATA_PATH = ${MY_HTDOCSDIR}" >> cgit.conf || die "echo CGIT_DATA_PATH failed"
+ echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf || die "echo CACHE_ROOT failed"
+ echo "DESTDIR = ${D}" >> cgit.conf || die "echo DESTDIR failed"
+ if use lua; then
+ echo "LUA_PKGCONFIG = ${ELUA}" >> cgit.conf || die "echo LUA_PKGCONFIG failed"
+ else
+ echo "NO_LUA = 1" >> cgit.conf || die "echo NO_LUA failed"
+ fi
+
+ eapply_user
+}
+
+src_compile() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+ use doc && emake V=1 doc-man
+}
+
+src_install() {
+ webapp_src_preinst
+
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" install
+
+ insinto /etc
+ doins "${FILESDIR}"/cgitrc
+
+ dodoc README
+ use doc && doman cgitrc.5
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_src_install
+
+ keepdir "${CGIT_CACHEDIR}"
+ fowners ${PN}:${PN} "${CGIT_CACHEDIR}"
+ fperms 700 "${CGIT_CACHEDIR}"
+ python_fix_shebang .
+}
+
+src_test() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" test
+}
+
+pkg_postinst() {
+ webapp_pkg_postinst
+ ewarn "If you intend to run cgit using web server's user"
+ ewarn "you should change ${CGIT_CACHEDIR} permissions."
+}
next reply other threads:[~2021-02-07 23:00 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-07 23:00 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 13:57 [gentoo-commits] repo/gentoo:master commit in: www-apps/cgit/ Sam James
2025-03-18 13:57 Sam James
2024-05-29 17:37 Sam James
2024-05-29 11:47 Sam James
2024-05-29 6:26 Jakov Smolić
2024-05-08 3:15 Robin H. Johnson
2024-04-15 17:44 Viorel Munteanu
2023-04-25 2:22 Sam James
2022-10-24 22:52 Yixun Lan
2022-10-20 10:56 Jakov Smolić
2022-10-20 10:52 Jakov Smolić
2022-10-16 8:54 Agostino Sarubbo
2022-10-15 15:13 Sam James
2022-07-29 18:57 Matt Turner
2022-07-29 18:57 Matt Turner
2022-07-29 18:57 Matt Turner
2021-05-02 8:08 Mikle Kolyada
2021-01-25 17:38 Marek Szuba
2021-01-23 22:51 Sam James
2021-01-23 4:20 Sam James
2021-01-23 4:09 Sam James
2020-11-27 20:16 Aaron Bauman
2020-11-27 20:11 Aaron Bauman
2020-03-23 22:35 Matt Turner
2020-03-23 22:35 Matt Turner
2020-03-23 22:19 Matt Turner
2020-03-23 22:19 Matt Turner
2020-03-14 3:26 Jason A. Donenfeld
2020-01-13 20:53 Jason A. Donenfeld
2020-01-02 3:02 Stefan Strogin
2019-12-16 9:39 Michał Górny
2019-12-15 20:42 Michał Górny
2019-10-05 18:56 Michał Górny
2019-09-29 20:59 Ben Kohler
2018-08-07 23:01 Mart Raudsepp
2018-08-04 14:53 Jason Donenfeld
2018-08-03 15:14 Jason Donenfeld
2018-07-13 22:30 Jason Donenfeld
2018-05-18 12:34 Aaron Bauman
2017-04-05 13:45 Michael Weber
2017-02-12 17:37 Robin H. Johnson
2016-02-22 18:20 Jason Donenfeld
2016-02-12 3:38 Jason Donenfeld
2016-01-14 14:52 Jason Donenfeld
2016-01-14 14:51 Jason Donenfeld
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1612738616.ddf5e438066fd35555faa2e7c867175a3206e095.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox